# LonghornVolumeActualSpaceUsedInfo

## Meaning

The entirety of the Longhorn volume, including snapshots, is larger than the defined maximum size. Therefore might taking up more space than originally intended in the entire Longhorn cluster.

## Impact

If there is little to no spare capacity left in the cluster the volume might exceed all reserved space for it and cause issues. Otherwise, this is a purely informational alert.

## Diagnosis

Check the Longhorn dashboard for the current cluster-wide storage use to make sure there is enough spare capacity to accommodate the volume. You can review the size of the individual volumes in the volumes tab.

## Mitigation

In order to reduce the size, delete some snapshots.