# UPSRuntimeShort

## Meaning

The Uninterruptible Power Supply (UPS) indicates a runtime of under 5 minutes.

## Impact

The UPS if the UPS is on battery right now, it'll shut down within the next 5 minutes.

If the UPS is on line right now, this indicates that the load on the UPS is too large to ensure reasonable runtime for systems to shut down gracefully.

## Diagnosis

Check the power connection to your UPS, make sure everything is well supplied with power. No breakers are active and all equipment is up to standard.

## Mitigation

Reduce load on the UPS or make sure power comes back online.