Harbor
===

Harbor is a container registry with the ability to act as pull-through proxy for external registries. In the Shivering-Isles Infrastructure Harbor is mainly used as pull-through proxy for all upstream registries.

It's configured as mirror in podman, crio and containerd.

Known issues
---

- Doesn't work well with custom-error-pages in ingress-nginx. [`nginx.ingress.kubernetes.io/custom-http-errors: "418"` solved this.](https://git.shivering-isles.com/shivering-isles/infrastructure-gitops/-/commit/24eb21e2d67b9231504fc31e2110951152ee1433)

Links
---

- [Documentation](https://goharbor.io/docs/)
- [Source Code](https://github.com/goharbor/harbor)
- [Helm Chart](https://artifacthub.io/packages/helm/harbor/harbor)
- [Issue Tracker](https://github.com/goharbor/harbor/issues)
