# Releases

The Shivering-Isles infrastructure has [monthly releases](https://git.shivering-isles.com/shivering-isles/infrastructure-gitops/-/releases) of the GitOps repository. These have no functional purpose but rather function as a log of what has been accomplished in the past month.

Reviewing this progress provides a good sense on how much is done in a month, without necessarily noticing it. It also shows how well update automation works based on the `deps` commits.

![git tags in the gitops repository listing version from v24.05 to v23.12](./images/git-tags.jpg)

## Tooling

To generate the release notes, [git-chglog](https://github.com/git-chglog/git-chglog) is used with a custom configuration, adding some emojis and categorising the semantic commits.

The GitLab release CLI creates the final releases in GitLab. This also create git tags and generates the version number as part of a release pipeline.

