---
title: Introduction
type: docs
---

# Welcome

Welcome to the site hosting runbooks for alerts in the Shivering-Isles infrastructure. It's based on the upstream project with runbooks for the 
[kube-prometheus-stack](https://github.com/prometheus-operator/kube-prometheus) and extends its content with additional alerts.

## The Shivering-Isles Infrastructure

![SI-Infrastructure logo](https://gitops-docs.s3.shivering-isles.com/logo.jpg)

The Shivering-Isles Infrastructure is the home infrastructure of Sheogorath providing capabilities to send emails, backup photos, show movies and manage IoT devices.

The [infrastructure repository](https://git.shivering-isles.com/shivering-isles/infrastructure-gitops) can be found so SI-GitLab and the official documentation can be found as a [neighbouring project](https://gitops-docs.s3.shivering-isles.com).

## How to contribute upstream?

The official runbooks can be found at the [upstream project along with instructions](https://runbooks.prometheus-operator.dev/#how-to-contribute).