# Blog

The [Shivering-Isles blog](https://shivering-isles.com) is a simple nginx image, that was infused with a built of the [jekyll-based blog content](https://git.shivering-isles.com/shivering-isles/blog).

Besides being a static blog, it also houses the .well-known directory, that handles the [Web Key Directory](https://datatracker.ietf.org/doc/draft-koch-openpgp-webkey-service/) for the Shivering-Isles. Additionally it delegates Matrix and [Mastodon](./mastodon.md) to their respective services, allowing to use `shivering-isles.com` as domain for user identities.

Links
---

- [Source Code](https://git.shivering-isles.com/shivering-isles/blog)
- [CSS Framework](https://simplecss.org/)
- [Mastodon: Delegation](https://docs.joinmastodon.org/admin/config/#web_domain)
- [Matrix: Delegation](https://element-hq.github.io/synapse/latest/delegate.html#well-known-delegation)
