# Jellyfin

> Jellyfin is the volunteer-built media solution that puts you in control of your media. Stream to any device from your own server, with no strings attached. Your media, your server, your way.
> 
> &mdash; jellyfin.org

<iframe src="https://www.youtube-nocookie.com/embed/4VkY1vTpCJY" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

In the Shivering-Isles Infrastructure Jellyfin provides the media platform for streaming series and alike from the local NAS. Replacing services like Netflix for enjoying TV-Shows and Movies ripped from good old DVDs and Bluerays.

Jellyfin itself is integrated with the Kubernetes cluster its running on using the [Jellyfin PDB Manager](https://git.shivering-isles.com/shivering-isles/infrastructure-gitops/-/tree/97e0bd4a29696593b3e58d043b7ac798130b3dff/apps/base/jellyfin/jellyfin-pdb-mgr), that automatically configures the Pod Disruption Budget of the Jellyfin Pod to disallow disruptions while something is playing, to make sure maintenance work does not interfere with the watching experience.

Links
---

- [Source Code](https://github.com/jellyfin/jellyfin)
- [Documentation](https://jellyfin.org/docs/)
- [SSO Plugin](https://github.com/9p4/jellyfin-plugin-sso)
- [Kustomization](https://git.shivering-isles.com/shivering-isles/infrastructure-gitops/-/tree/160640b3df181b34d0dc0747583be0eed5cdfd58/apps/base/jellyfin)